NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Drawings.ViewCreationWizardBuilder Class Reference

This builder allows the user to create a Drawing View More...

Inheritance diagram for NXOpen.Drawings.ViewCreationWizardBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  Option { Automatic, Manual }
 The placement option type More...
 
enum  ResolutionOption { Coarse, Medium, Fine }
 the view resolution option type More...
 
enum  ViewBoundaryOption { Automatic, Manual }
 The view boundary option type More...
 
enum  ViewRepresentations { Exact, SmartLightweight, Lightweight, PreNx85Exact }
 the view representation mode More...
 

Properties

unsafe bool AssociativeAlignment [get, set]
 Returns or sets the associative alignment toggle More...
 
unsafe bool AutoScale [get, set]
 Returns or sets the auto scale More...
 
unsafe bool BackView [get, set]
 Returns or sets the back view More...
 
unsafe string BaseView [get, set]
 Returns or sets the base view More...
 
unsafe bool BottomView [get, set]
 Returns or sets the bottom view More...
 
unsafe bool CenterLines [get, set]
 Returns or sets the center lines More...
 
unsafe bool CrosshatchInheritedSectionViews [get, set]
 Returns or sets the crosshatch inherited section views More...
 
unsafe
NXOpen.Drawings.CustomViewSettingsBuilder 
CustomViewSettingsBuilder [get]
 Returns the NXOpen.Drawings.CustomViewSettingsBuilder object More...
 
unsafe bool ExtractedEdges [get, set]
 Returns or sets the extracted edges option More...
 
unsafe bool FrontView [get, set]
 Returns or sets the front view More...
 
unsafe int HiddenLineColor [get, set]
 Returns or sets the hidden line color More...
 
unsafe int HiddenLineFont [get, set]
 Returns or sets the hidden line font More...
 
unsafe bool HiddenLines [get, set]
 Returns or sets the hidden lines More...
 
unsafe int HiddenLineWidth [get, set]
 Returns or sets the hidden line width More...
 
unsafe bool IgnoreTitleBlock [get, set]
 Returns or sets the ignore title block More...
 
unsafe int InheritPMI [get, set]
 Returns or sets the inherit pmi More...
 
unsafe bool InheritPmiOntoDrawing [get, set]
 Returns or sets the inherit pmi onto drawing More...
 
unsafe bool IsometricView [get, set]
 Returns or sets the isometric view More...
 
unsafe bool LeftView [get, set]
 Returns or sets the left view More...
 
unsafe
NXOpen.Preferences.GeneralViewLockmethodOption 
LockMethod [get, set]
 Returns or sets the lock method option More...
 
unsafe double MarginBetweenViews [get, set]
 Returns or sets the margin between views More...
 
unsafe double MarginToBorder [get, set]
 Returns or sets the margin to border More...
 
unsafe
NXOpen.Drawings.MultipleViewPlacementBuilder 
MultipleViewPlacement [get]
 Returns the multiple view placement More...
 
unsafe bool OptimizeSettings [get, set]
 Returns or sets the optimize view settings More...
 
unsafe NXOpen.Drawings.OvtBuilder OrientViewTool [get]
 Returns the orient view tool More...
 
unsafe NXOpen.Part Part [get, set]
 Returns or sets the part More...
 
unsafe
NXOpen.Drawings.ViewCreationWizardBuilder.Option 
PlacementOption [get, set]
 Returns or sets the placement option More...
 
unsafe bool PmiDimensionFromRevolved [get, set]
 Returns or sets the inherit pmi from revolved sketches More...
 
unsafe int PmiTypes [get, set]
 Returns or sets the pmi types More...
 
unsafe
NXOpen.Drawings.ViewCreationWizardBuilder.ResolutionOption 
Resolution [get, set]
 Returns or sets the display quality option More...
 
unsafe bool RightView [get, set]
 Returns or sets the right view More...
 
unsafe bool Silhouettes [get, set]
 Returns or sets the silhouettes More...
 
unsafe bool SnapShot [get, set]
 Returns or sets the snapshot option More...
 
unsafe bool SpecialBaseView [get, set]
 Returns or sets the special base view More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance option More...
 
unsafe bool TopView [get, set]
 Returns or sets the top view More...
 
unsafe bool TrimetricView [get, set]
 Returns or sets the trimetric view More...
 
unsafe
NXOpen.Drawings.ViewCreationWizardBuilder.ViewBoundaryOption 
ViewBoundary [get, set]
 Returns or sets the view boundary option More...
 
unsafe bool ViewLabels [get, set]
 Returns or sets the view labels More...
 
unsafe
NXOpen.Drawings.ViewCreationWizardBuilder.ViewRepresentations 
ViewRepresentation [get, set]
 Returns or sets the view representation state More...
 
unsafe
NXOpen.Drawings.ViewScaleBuilder 
ViewScale [get]
 Returns the view scale More...
 
unsafe
NXOpen.Drawings.ViewStyleBuilder 
ViewStyle [get]
 Returns the view style More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This builder allows the user to create a Drawing View

To create a new instance of this class, use NXOpen.Drawings.DraftingViewCollection.CreateViewCreationWizardBuilder

Default values.

Property Value

AutoScale

1

BackView

0

BaseView

FRONT

BottomView

0

CustomViewSettingsBuilder.DelayUpdateOnCreation

0

CustomViewSettingsBuilder.DelayViewUpdate

1

CustomViewSettingsBuilder.HiddenLinesFont

Invisible

CustomViewSettingsBuilder.InterferingSolids

None

CustomViewSettingsBuilder.RenderTrueHiddenLine

0

CustomViewSettingsBuilder.ShowAdjacentBlends

0

CustomViewSettingsBuilder.ShowCenterLines

0

CustomViewSettingsBuilder.ShowCheckBoundaryStatus

0

CustomViewSettingsBuilder.ShowEdgesHiddenByEdges

1

CustomViewSettingsBuilder.ShowHiddenLines

1

CustomViewSettingsBuilder.ShowSelfHiddenLines

1

CustomViewSettingsBuilder.ShowSmoothEdgeEndGapsLock

0

CustomViewSettingsBuilder.ShowSmoothEdges

1

CustomViewSettingsBuilder.ShowTraceLines

0

CustomViewSettingsBuilder.ShowUVGrids

0

CustomViewSettingsBuilder.ShowVIEndGapsLock

0

CustomViewSettingsBuilder.ShowVirtualIntersections

0

CustomViewSettingsBuilder.SmallFeatures

Hide

CustomViewSettingsBuilder.ThreadStandard

None

CustomViewSettingsBuilder.TraceLineCreateGapsLock

0

ExtractedEdges

1

FrontView

1

IgnoreTitleBlock

0

IsometricView

0

LeftView

0

LockMethod

None

MarginBetweenViews

5 (millimeters part), 0.25 (inches part)

MarginToBorder

20 (millimeters part), 0.75 (inches part)

MultipleViewPlacement.OptionType

Center

MultipleViewPlacement.ViewPlacementCenter.AlignmentMethod

Infer

MultipleViewPlacement.ViewPlacementCenter.AlignmentOption

ToView

OptimizeSettings

1

OrientViewTool.AssociativeOrientation

0

PlacementOption

Automatic

RightView

0

SnapShot (deprecated)

0

TopView

0

TrimetricView

0

ViewBoundary

Automatic

ViewRepresentation

SmartLightweight

ViewScale.Denominator

1.0

ViewScale.Numerator

1.0

ViewScale.ScaleType

Ratio

ViewStyle.ViewStyleGeneral.AngleSetting.Angle.Value

0

ViewStyle.ViewStyleGeneral.AngleSetting.Associative

0

ViewStyle.ViewStyleGeneral.AngleSetting.EvaluationPlane

DrawingSheet

ViewStyle.ViewStyleOrientation.HingeLine.ReverseDirection

false

ViewStyle.ViewStyleOrientation.HingeLine.VectorOption

Inferred

Created in NX8.0.0

Member Enumeration Documentation

The placement option type

Enumerator
Automatic 

By Automatic

Manual 

By Manual

the view resolution option type

Enumerator
Coarse 

view display quality Coarse

Medium 

view display quality Medium

Fine 

view display quality Fine

The view boundary option type

Enumerator
Automatic 

view boundary Automatic

Manual 

view boundary Manual

the view representation mode

Enumerator
Exact 

View representation mode Exact

SmartLightweight 

View representation mode Lightweight

Lightweight 

View representation mode legacy Lightweight

PreNx85Exact 

View representation mode legacy Exact

Property Documentation

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.AssociativeAlignment
getset

Returns or sets the associative alignment toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.AutoScale
getset

Returns or sets the auto scale

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.BackView
getset

Returns or sets the back view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe string NXOpen.Drawings.ViewCreationWizardBuilder.BaseView
getset

Returns or sets the base view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.BottomView
getset

Returns or sets the bottom view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.CenterLines
getset

Returns or sets the center lines

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.CrosshatchInheritedSectionViews
getset

Returns or sets the crosshatch inherited section views

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.CustomViewSettingsBuilder NXOpen.Drawings.ViewCreationWizardBuilder.CustomViewSettingsBuilder
get

Returns the NXOpen.Drawings.CustomViewSettingsBuilder object

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.ExtractedEdges
getset

Returns or sets the extracted edges option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.FrontView
getset

Returns or sets the front view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.ViewCreationWizardBuilder.HiddenLineColor
getset

Returns or sets the hidden line color

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.ViewCreationWizardBuilder.HiddenLineFont
getset

Returns or sets the hidden line font

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.HiddenLines
getset

Returns or sets the hidden lines

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.ViewCreationWizardBuilder.HiddenLineWidth
getset

Returns or sets the hidden line width

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.IgnoreTitleBlock
getset

Returns or sets the ignore title block

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.ViewCreationWizardBuilder.InheritPMI
getset

Returns or sets the inherit pmi

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.InheritPmiOntoDrawing
getset

Returns or sets the inherit pmi onto drawing

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.IsometricView
getset

Returns or sets the isometric view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.LeftView
getset

Returns or sets the left view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Preferences.GeneralViewLockmethodOption NXOpen.Drawings.ViewCreationWizardBuilder.LockMethod
getset

Returns or sets the lock method option

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.ViewCreationWizardBuilder.MarginBetweenViews
getset

Returns or sets the margin between views

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.ViewCreationWizardBuilder.MarginToBorder
getset

Returns or sets the margin to border

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.MultipleViewPlacementBuilder NXOpen.Drawings.ViewCreationWizardBuilder.MultipleViewPlacement
get

Returns the multiple view placement

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.OptimizeSettings
getset

Returns or sets the optimize view settings

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.OvtBuilder NXOpen.Drawings.ViewCreationWizardBuilder.OrientViewTool
get

Returns the orient view tool

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Part NXOpen.Drawings.ViewCreationWizardBuilder.Part
getset

Returns or sets the part

Created in NX8.0.0

License requirements to get this property: drafting ("DRAFTING")

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewCreationWizardBuilder.Option NXOpen.Drawings.ViewCreationWizardBuilder.PlacementOption
getset

Returns or sets the placement option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.PmiDimensionFromRevolved
getset

Returns or sets the inherit pmi from revolved sketches

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe int NXOpen.Drawings.ViewCreationWizardBuilder.PmiTypes
getset

Returns or sets the pmi types

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewCreationWizardBuilder.ResolutionOption NXOpen.Drawings.ViewCreationWizardBuilder.Resolution
getset

Returns or sets the display quality option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.RightView
getset

Returns or sets the right view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.Silhouettes
getset

Returns or sets the silhouettes

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.SnapShot
getset

Returns or sets the snapshot option

Created in NX8.5.0

Deprecated in NX11.0.1. Use NXOpen.Drawings.ViewCreationWizardBuilder.LockMethod instead.

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.SpecialBaseView
getset

Returns or sets the special base view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe double NXOpen.Drawings.ViewCreationWizardBuilder.Tolerance
getset

Returns or sets the tolerance option

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.TopView
getset

Returns or sets the top view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.TrimetricView
getset

Returns or sets the trimetric view

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewCreationWizardBuilder.ViewBoundaryOption NXOpen.Drawings.ViewCreationWizardBuilder.ViewBoundary
getset

Returns or sets the view boundary option

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe bool NXOpen.Drawings.ViewCreationWizardBuilder.ViewLabels
getset

Returns or sets the view labels

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewCreationWizardBuilder.ViewRepresentations NXOpen.Drawings.ViewCreationWizardBuilder.ViewRepresentation
getset

Returns or sets the view representation state

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: drafting ("DRAFTING")

unsafe NXOpen.Drawings.ViewScaleBuilder NXOpen.Drawings.ViewCreationWizardBuilder.ViewScale
get

Returns the view scale

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Drawings.ViewStyleBuilder NXOpen.Drawings.ViewCreationWizardBuilder.ViewStyle
get

Returns the view style

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.